Bug 146554 - Bad behavior in configure.ac wrt lib paths and crosscompilation.
Bad behavior in configure.ac wrt lib paths and crosscompilation.
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2005-01-29 10:59 EST by Chris Larson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-25 21:12:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch. (497 bytes, text/plain)
2005-01-29 11:00 EST, Chris Larson
no flags Details

  None (edit)
Description Chris Larson 2005-01-29 10:59:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050110 Firefox/1.0 (Debian package 1.0+dfsg.1-2)

Description of problem:
The rpm configure.ac has some logic to add additional library search
paths to the build.  It explicitly does not check /usr/local when
crosscompiling, which is a Good Thing, yet it does check other paths
in /usr, which is decidedly not.  Patch attached.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Chris Larson 2005-01-29 11:00:32 EST
Created attachment 110383 [details]
Comment 2 Jeff Johnson 2005-10-25 21:12:24 EDT
Fixed in rpm-4.4.3-0.24 (when built).

Note You need to log in before you can comment on or make changes to this bug.